petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSleep

Sleeps some number of seconds.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSleep(PetscReal s)

Not Collective

### Input Parameters

s -number of seconds to sleep

### Notes

If s is negative waits for keyboard input

### Level

intermediate

### Location

src/sys/utils/psleep.c

### Examples

src/sys/logging/examples/tutorials/ex1f.F90.html
src/sys/examples/tutorials/ex3.c.html
src/sys/examples/tutorials/ex3f.F.html
src/sys/examples/tutorials/ex4f.F.html
src/vec/vec/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex100.c.html
src/ksp/ksp/examples/tutorials/ex100f.F90.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages